.header{
    display: flex;
    width: 100%;
    height: 40px;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    background-color: #10BBD5;
    position: fixed;
    top: 0;
    z-index: 3;
}

.header-top{
    width: 1400px;
    display: flex;
    justify-content: center;
}

.header-logo{
    display: flex;
    align-items: center;
    margin-right: 1061px;
}

.header-price{
    display: flex;
    align-items: center;
    text-decoration: none;
    color: #F8FDFE;
    margin-right: 8px;
}

.header-cart{
    width: 40px;
    height: 40px;
    color: transparent;
    border: none;
    background-color: #10BBD5;
    background-image: url("../image/cart_icon.png");
}

.header-bottom{
    display: flex;
    width: 1400px;
    height: 24px;
    padding-top: 4px;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    background-color: #FFF;
}

.shop-item{
    margin-right: 843px;
    color: #000;
    font-family: 'Cabin', sans-serif;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 24px; 
}

.header-bottom-item{
    display: flex;
    align-items: center;
    text-decoration: none;
    margin-left: 40px;
    color: #000;
    font-family: 'Cabin', sans-serif;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 24px; 
}

.main-store{
    display: flex;
    flex-direction: column;
    width: 1400px;
    background: #EEEEEF;
    margin: 0 auto;
}

.main-store-heder{
    padding-top: 104px;
    margin: 0 auto;
}

.main-header{
    width: 1296px;
    border-bottom: 1px solid #A8A8A8;
    padding-bottom: 23px;
    margin-bottom: 23px;
    color: #1F1F1F;
    font-family: 'Cabin', sans-serif;
    font-size: 32px;
    font-style: normal;
    font-weight: 600;
    line-height: 40px; 
}

.main-store-list{
    display: grid;
    justify-content: center;
    grid-template-columns: repeat(4,306px);
    grid-template-rows: repeat(3,auto);
    column-gap: 24px;
    row-gap: 32px;
    margin-bottom: 120px;
}

.product-cart{
    display: flex;
    justify-content: center;
    flex-direction: column;
    padding: 32px;
    width: 242px;
    background-color: #F8FDFE;
}

.product-img{
    z-index: 1;
    margin: 0 auto;
    width: 178px;
    height: 280px;
}

.product-badge{
    padding: 4px 8px;
    border-radius: 4px;
    width: fit-content;
    color: #F8FDFE;
    text-align: center;
    font-family: 'Cabin', sans-serif;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 24px; 
}

.hit{
    background-color: #4200FF;
}

.new{
    background-color: #AF39E7;
}

.sale{
    background-color: #EA33C0;
}

.badges{
    display: flex;
    flex-direction: row;
    gap: 4px;
    transform: translateY(-207.5px);
    z-index: 2;
    position: absolute;
}

.product-header{
    overflow: hidden;
    color:  #1F1F1F;
    text-overflow: ellipsis;
    white-space: nowrap;
    font-family: 'Cabin', sans-serif;
    font-size: 20px;
    font-style: normal;
    font-weight: 700;
    line-height: 28px;

    margin-top: 16px;
    text-decoration: none;
}

.product-name{
    overflow: hidden;
    color: #8E8E8E;
    text-overflow: ellipsis;
    white-space: nowrap;
    font-family: 'Cabin', sans-serif;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 24px; 

    border-top: 1px solid #8E8E8E;
}

.product-price-container{
    display: flex;
    align-items: center;
    gap: 24px;
    margin-top: 8px;
}

.product-price{
    color: #8E8E8E;
    font-family: 'Cabin', sans-serif;
    font-size: 24px;
    font-style: normal;
    font-weight: 500;
    line-height: 32px;
    text-decoration-line: line-through;
}

.product-price-sale{
    color: #E90000;
    font-family: 'Cabin', sans-serif;
    font-size: 24px;
    font-style: normal;
    font-weight: 500;
    line-height: 32px; 
}


.product-button{
    display: flex;
    padding: 8px 24px;
    justify-content: center;
    align-items: center;
    align-self: stretch;
    border-radius: 4px;
    margin-top: 16px;
    border: none;

    color: #F8FDFE;
    text-align: center;
    font-family: 'Cabin', sans-serif;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 24px; 
}

.add{
    background-color: #744978;
}

.add:hover{
    background-color: #4C394E;
}


.end{
    background-color: #6DB236;
}

.end:hover{
    background-color: #4D762D;
}

.chat-icon{
    z-index: 4;
    position: fixed;
    top: 25%;
    right: 12.5%;
    border: none;
    padding: 6.4px;
    background-color: #10BBD5;
    border-radius: 50%;
}

.chat-icon:hover img{
    transform: rotate(13deg);
}

.chat-icon img{
    margin: auto;
}

.image{
    margin: 0 auto;
}

.footer{
    height: 88px;
    background-color: #4C394E;
    color: white;
}

.footer-content{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    padding: 32px 52px;
    margin: 0 auto;
    width: 1400px;
}

.copyright{
    color: #F8FDFE;
    font-family: 'Cabin', sans-serif;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 24px;
}

